Subject: Re: bug#19181: 24.4; 24.4.1 libgcc_s_dw2-1.dll crash on exit

From: Dani Moncayo <[email-masked]>
Date: Tue, 25 Nov 2014 20:03:00 +0100

> To check whether a .exe program or a DLL actually depends on
> libgcc_s_dw2-1.dll, use this command:
>
>   objdump -x FOO.exe | grep "DLL Name:"
>
> This will show all the DLLs that FOO.exe depends on.

> Meanwhile, Dani, could you please check which of the binaries in your
> upload, if any, depends on libgcc_s_dw2-1.dll?

I've followed your advice above, and I don't see any dependency on
'libgcc_s_dw2-1.dll'.

FWIW, I'm attaching a report of the DLL dependencies in the Emacs 24.4
binary, made with:

  $ find . -type f \( -name "*.dll" -o -name "*.exe" \) -print -exec
bash -c "objdump -x {} | grep -i 'dll name:'" \;

-- 
Dani Moncayo